%define	major 0
%define libname %mklibname colorer %{major}
%define develname %mklibname colorer -d

Summary:	Syntax highlighting and text parsing library
Name:		colorer-take5
Version:	0
Release:	%mkrel 0.beta5.12
Group:		Text tools
License:	MPLv1.1 or GPLv2 or LGPLv2.1
URL:		http://colorer.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/colorer/Colorer-take5-linux.be5.tar.bz2
Patch0:		colorer-optflags.diff
Patch1:		colorer-soname.diff
Patch2:		colorer-DESTDIR.diff
BuildRequires:	libstdc++-devel
Requires:	%{libname} = %{version}

%description
Colorer take5 is a syntax highlighting and text parsing library, that provides
services of text parsing in host editor systems in real-time and transforming
results into colored text. Result information allows to search and build
outlined lists of functions, structures, and to search and indent programming
language constructions (brackets, paired tags). Colorer uses pure C++, XML, it
is fully portable and works on either win32/unix/mac platforms. Top level Java
language API is also available. 


%package -n	%{libname}
Summary:	Syntax highlighting and text parsing library
Group:          System/Libraries

%description -n	%{libname}
Colorer take5 is a syntax highlighting and text parsing library, that provides
services of text parsing in host editor systems in real-time and transforming
results into colored text. Result information allows to search and build
outlined lists of functions, structures, and to search and indent programming
language constructions (brackets, paired tags). Colorer uses pure C++, XML, it
is fully portable and works on either win32/unix/mac platforms. Top level Java
language API is also available. 


%package -n	%{develname}
Summary:	Static library and header files for the %{name} library
Group:		Development/C++
Requires:	%{libname} = %{version}
Requires:	%{name}-base = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libcolorer-devel = %{version}-%{release}
Obsoletes:	%{mklibname colorer 0 -d}

%description -n	%{develname}
Colorer take5 is a syntax highlighting and text parsing library, that provides
services of text parsing in host editor systems in real-time and transforming
results into colored text. Result information allows to search and build
outlined lists of functions, structures, and to search and indent programming
language constructions (brackets, paired tags). Colorer uses pure C++, XML, it
is fully portable and works on either win32/unix/mac platforms. Top level Java
language API is also available. 

This package contains the development files for the %{name} library.


%package	docs
Summary:	Documentation for Colorer take5
Group:		Development/C++

%description	docs
Colorer take5 is a syntax highlighting and text parsing library, that provides
services of text parsing in host editor systems in real-time and transforming
results into colored text. Result information allows to search and build
outlined lists of functions, structures, and to search and indent programming
language constructions (brackets, paired tags). Colorer uses pure C++, XML, it
is fully portable and works on either win32/unix/mac platforms. Top level Java
language API is also available. 

This package contains the documentation for Colorer take5.


%package	base
Summary:	Common files for Colorer take5
Group:		Text tools

%description	base
Colorer take5 is a syntax highlighting and text parsing library, that provides
services of text parsing in host editor systems in real-time and transforming
results into colored text. Result information allows to search and build
outlined lists of functions, structures, and to search and indent programming
language constructions (brackets, paired tags). Colorer uses pure C++, XML, it
is fully portable and works on either win32/unix/mac platforms. Top level Java
language API is also available. 

This package contains common files for Colorer take5.


%prep
%setup -q -c -n %{name}
%patch0 -p0
%patch1 -p0
%patch2 -p0

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
%configure
%make RPM_OPT_FLAGS="%{optflags} -fpermissive -Wall -fPIC"

%install
%makeinstall_std

ln -snf libcolorer.so.%{major} %{buildroot}%{_libdir}/libcolorer.so

rm -f %{buildroot}%{_datadir}/colorer/{LICENSE,README}

rm -rf installed_docs
mv %{buildroot}%{_datadir}/doc/colorer-take5 installed_docs

%files
%attr(0755,root,root) %{_bindir}/colorer

%files -n %{libname}
%doc LICENSE README
%attr(0755,root,root) %{_libdir}/libcolorer.so.%{major}

%files -n %{develname}
%{_includedir}/colorer
%{_libdir}/libcolorer.so
%{_datadir}/colorer/bin

%files docs
%doc installed_docs/*

%files base
%{_datadir}/colorer/catalog.xml
%{_datadir}/colorer/hrc
%{_datadir}/colorer/hrd




%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0-0.beta5.12.mga6
+ Revision: 936754
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0-0.beta5.11.mga5
+ Revision: 739364
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0-0.beta5.10.mga5
+ Revision: 693663
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0-0.beta5.9.mga5
+ Revision: 678484
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0-0.beta5.8.mga4
+ Revision: 503467
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0-0.beta5.7.mga3
+ Revision: 348051
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 0-0.beta5.6.mga3
+ Revision: 324369
- clean .spec
- update license tag

* Sun Feb 06 2011 spuhler <spuhler> 0-0.beta5.5.mga1
+ Revision: 47779
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package colorer-take5


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0-0.beta5.5mdv2011.0
+ Revision: 617406
- the mass rebuild of 2010.0 packages

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 0-0.beta5.4mdv2010.0
+ Revision: 424924
- rebuild

* Fri Jul 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0-0.beta5.3mdv2009.0
+ Revision: 233767
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0-0.beta5.2mdv2008.1
+ Revision: 170230
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0-0.beta5.2mdv2008.0
+ Revision: 83708
- new devel naming


* Tue Dec 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0-0.beta5.1mdv2007.0
+ Revision: 100352
- Import colorer-take5

* Tue Dec 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0-0.beta5.1mdv2007.1
- beta5
- rediffed P2

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0-0.beta4.3mdk
- rebuild

* Mon Mar 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0-0.beta4.2mdk
- fix deps and add the base sub package

* Mon Mar 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0-0.beta4.1mdk
- initial Mandriva package

